Template Numerical Library: TNL::Solvers::Linear::Traits< Matrices::DistributedMatrix< Matrix > > Struct Template Reference

Template Numerical Library version\ main:0b2c40fb1

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
TNL::Solvers::Linear::Traits< Matrices::DistributedMatrix< Matrix > > Struct Template Reference

## Public Types
using | ConstLocalViewType
using | ConstVectorViewType
using | LocalVectorType
using | LocalViewType
using | VectorType
using | VectorViewType

## Static Public Member Functions
static const MPI::Comm & | getCommunicator (const Matrices::DistributedMatrix< Matrix > &m)
static ConstLocalViewType | getConstLocalView (ConstVectorViewType v)
static ConstLocalViewType | getConstLocalViewWithGhosts (ConstVectorViewType v)
static const Matrix & | getLocalMatrix (const Matrices::DistributedMatrix< Matrix > &m)
static LocalViewType | getLocalView (VectorViewType v)
static LocalViewType | getLocalViewWithGhosts (VectorViewType v)
static void | startSynchronization (VectorViewType v)
static void | waitForSynchronization (VectorViewType v)

## Member Typedef Documentation

## ◆ ConstLocalViewType

template<typename Matrix>

using TNL::Solvers::Linear::Traits< Matrices::DistributedMatrix< Matrix > >::ConstLocalViewType

Initial value:
Containers::
VectorView< std::add_const_t< typename Matrix::RealType >, typename Matrix::DeviceType, typename Matrix::IndexType >

## ◆ ConstVectorViewType

template<typename Matrix>

using TNL::Solvers::Linear::Traits< Matrices::DistributedMatrix< Matrix > >::ConstVectorViewType

Initial value:
Containers::DistributedVectorView<
std::add_const_t< typename Matrix::RealType >,
typename Matrix::DeviceType,
typename Matrix::IndexType >
TNL::Containers::DistributedVectorView
DistributedVectorView extends DistributedArrayView with algebraic operations.
Definition DistributedVectorView.h:17

## ◆ LocalVectorType

template<typename Matrix>

using TNL::Solvers::Linear::Traits< Matrices::DistributedMatrix< Matrix > >::LocalVectorType

Initial value:
Containers::Vector< typename Matrix::RealType, typename Matrix::DeviceType, typename Matrix::IndexType >
TNL::Containers::Vector< typename Matrix::RealType, typename Matrix::DeviceType, typename Matrix::IndexType >

## ◆ LocalViewType

template<typename Matrix>

using TNL::Solvers::Linear::Traits< Matrices::DistributedMatrix< Matrix > >::LocalViewType

Initial value:
Containers::VectorView< typename Matrix::RealType, typename Matrix::DeviceType, typename Matrix::IndexType >
TNL::Containers::VectorView< typename Matrix::RealType, typename Matrix::DeviceType, typename Matrix::IndexType >

## ◆ VectorType

template<typename Matrix>

using TNL::Solvers::Linear::Traits< Matrices::DistributedMatrix< Matrix > >::VectorType

Initial value:
Containers::DistributedVector< typename Matrix::RealType, typename Matrix::DeviceType, typename Matrix::IndexType >
TNL::Containers::DistributedVector< typename Matrix::RealType, typename Matrix::DeviceType, typename Matrix::IndexType >

## ◆ VectorViewType

template<typename Matrix>

using TNL::Solvers::Linear::Traits< Matrices::DistributedMatrix< Matrix > >::VectorViewType

Initial value:
Containers::DistributedVectorView< typename Matrix::RealType, typename Matrix::DeviceType, typename Matrix::IndexType >

The documentation for this struct was generated from the following file:

- src/TNL/Solvers/Linear/Utils/Traits.h